---
title: Get Element Property
slug: Web/WebDriver/Commands/GetElementProperty
tags:
  - Command
  - Get Element Property
  - Reference
  - WebDriver
---
<p>The <em>Get Element Property</em> <a href="/en-US/Web/WebDriver/Commands">command</a> of the <a href="/en-US/docs/Web/WebDriver">WebDriver</a> API returns the property of the referenced <a href="/en-US/Web/WebDriver/WebElement">web element</a>. Given <code>&lt;input value=foo&gt;</code> where the user changes the value to <code>bar</code>, the returned property is <code>bar</code> rather than the initial value <code>foo</code>. This is equivalent to calling {{domxref("Element.getProperty")}} on the element.</p>

<h2 id="Syntax">Syntax</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Method</th>
   <th scope="col">URI template</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>GET</code></td>
   <td><code>/session/{<em>session id</em>}/element/{<em>element id</em>}/property/{<em>name</em>}</code></td>
  </tr>
 </tbody>
</table>

<h3 id="URL_parameters">URL parameters</h3>

<dl>
 <dt><code>session id</code></dt>
 <dd>Identifier of the session.</dd>
 <dt><code>element id</code></dt>
 <dd>Identifier of the <a href="/en-US/docs/Web/WebDriver/WebElement">web element</a> to get the tag name of.</dd>
 <dt><code>name</code></dt>
 <dd>Identifier of the property of <a href="/en-US/docs/Web/WebDriver/WebElement">web element</a> to get.</dd>
</dl>

<h3 id="Errors">Errors</h3>

<dl>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/SessionNotCreated">Session not created</a></dt>
 <dd>Session does not exist.</dd>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/NoSuchWindow">No such window</a></dt>
 <dd>The <code><a href="/en-US/docs/Web/API/Window">window</a></code> object has been discarded, indicating that the tab or window has been closed.</dd>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/UnexpectedAlertOpen">Unexpected alert open</a></dt>
 <dd>A user prompt, such as <code><a href="/en-US/docs/Web/API/Window/alert">window.alert</a></code>, blocks execution of command until it is dealt with.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>Python:</p>

<pre>import urllib

from selenium import webdriver

def inline(doc):
    return "data:text/html;charset=utf-8,{}".format(urllib.quote(doc))

session = webdriver.Firefox()
session.get(inline("&lt;input value=foo&gt;"))
textbox = driver.find_element_by_tag_name("input")
textbox.send_keys("bar")

print(text_box.get_attribute("value"))
print(text_box.get_property("value"))
</pre>

<p>Output:</p>

<pre>foo
bar
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebDriver", "#dfn-get-element-attribute", "Get Element Property")}}</td>
   <td>{{Spec2("WebDriver")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("webdriver.commands.GetElementProperty")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/WebDriver/Commands/GetElementAttribute">Get Element Attribute</a> command</li>
 <li><em><a href="https://stackoverflow.com/questions/6003819/what-is-the-difference-between-properties-and-attributes-in-html">What is the difference between properties and attributes?</a></em> on Stack Overflow</li>
</ul>
